<?php

namespace App\Providers;

use Illuminate\Support\Facades\Event;
use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;

class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
        // 'App\Events\Event' => [
        //     'App\Listeners\EventListener',
        // ],
        'App\Events\TransactionPaymentAdded' => [
            'App\Listeners\AddAccountTransaction',
        ],

        'App\Events\TransactionPaymentUpdated' => [
            'App\Listeners\UpdateAccountTransaction',
        ],

        'App\Events\TransactionPaymentDeleted' => [
            'App\Listeners\DeleteAccountTransaction',
        ],
    ];

    /**
     * Register any events for your application.
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
